2019-10-16 11:39 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001747FSSCPOpenGLpublic2008-08-18 11:35
Reporterchief1983 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001747: bmpman.cpp line 3124 Assert fails on second viewing of ship selection with show models enabled
DescriptionOk, hard to describe in the summary, so I'm just going to take my time here. Here's what's required to reproduce it:

-A build since Taylor's shader commit, roughly (could not reproduce on Karajorma's standalone fixes build from July 3, can on my July 16 build).
-Media vps, or any ship with a shine/env map
-Environment maps enabled
-Show ship model in ship selection screen enabled

I used several FS builds and the mediavps (whichever threw the least errors in the debug build I was using, 3.6.8 or 3.6.10 Beta).

To trigger the assert, enter into any mission, all the way, quit the mission, then enter another mission and go to the ship select screen. Any ship with a shinemap will trigger the assert as soon as it tries to display it. The game will not continue past this point.
Additional InformationI could post more crash data, but anyone with this set up should easily be able to reproduce it, and I'm really not sure what would be more useful than this info to anyone who can reproduce it. This was done on a Windows XP box, Geforce 8800 GTS 512 with the newest drivers, but I doubt any of that is related. I'll be pointing the IRC channel to this bug and asking them to reproduce it as soon as I post. Since most people probably haven't used show ship models, I think that helps explain why this wasn't noticed earlier. It only crashes when drawing the ship models in the ship selection screen, not in the tech room, so it's something related to being in the state of having loaded a mission.

Anyway, I guess I'll get some info. Here's the assertion popup text:

Assert: bm_bitmaps[n].handle == bitmap_id
File: bmpman.cpp
Line: 3124


Call stack:
------------------------------------------------------------------
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009dfc99()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009e0225()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d6794()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d60d2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007640ea()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009670e7()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0096118a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0095f217()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0095f0af()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00944863()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00a22534()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00735577()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00939a81()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00736b18()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00736dae()
------------------------------------------------------------------

And the one that happens after that, but I doubt it's important:

Assert: G3_count == 0
File: 3dsetup.cpp
Line: 263


Call stack:
------------------------------------------------------------------
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b18c06()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0075aec3()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b0bf44()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0075d1b5()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b0cc1a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007590d4()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00c74f6a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00c74c02()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007a16c8()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009217a2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009dfc99()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009e0225()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d6794()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d60d2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007640ea()
------------------------------------------------------------------

And the fs2_open.log:

==========================================================================
DEBUG SPEW: No debug_filter.cfg found, so only general, error, and warning
categories can be shown and no debug_filter.cfg info will be saved.
==========================================================================
FreeSpace version: 3.6.10
Passed cmdline options:
  -env
  -mipmap
  -missile_lighting
  -glow
  -nomotiondebris
  -spec
  -normal
  -cache_bitmaps
  -ballistic_gauge
  -dualscanlines
  -rearm_timer
  -targetinfo
  -snd_preload
  -no_set_gamma
  -debug_window
  -window
Building file index...
Found root pack 'E:\games\fotg\base.vp' with a checksum of 0x6216783a
Found root pack 'E:\games\fotg\shaders.vp' with a checksum of 0xefe6ddab
Searching root 'E:\games\fotg\' ... 4064 files
Searching root pack 'E:\games\fotg\base.vp' ... 17 files
Searching root pack 'E:\games\fotg\shaders.vp' ... 69 files
Found 3 roots and 4150 files.
AutoLang: Language auto-detection successful...
Setting language to English
Initializing OpenAL...
  Using 'Generic Software' as OpenAL sound device...
  OpenAL Vendor : Creative Labs Inc.
  OpenAL Renderer : Software
  OpenAL Version : 1.1

... OpenAL successfully initialized!
Failed to init speech
Initializing OpenGL graphics device at 1280x1024 with 32-bit color...
  Initializing WGL...
  Requested WGL Video values = R: 8, G: 8, B: 8, depth: 32, double-buffer: 1
  Actual WGL Video values = R: 8, G: 8, B: 8, depth: 32, double-buffer: 1
  OpenGL Vendor : NVIDIA Corporation
  OpenGL Renderer : GeForce 8800 GTS 512/PCI/SSE2
  OpenGL Version : 2.1.2

  Using extension "GL_EXT_fog_coord".
  Using extension "GL_ARB_multitexture".
  Using extension "GL_ARB_texture_env_add".
  Using extension "GL_ARB_texture_compression".
  Using extension "GL_EXT_texture_compression_s3tc".
  Using extension "GL_EXT_texture_filter_anisotropic".
  Using extension "GL_ARB_texture_env_combine".
  Using extension "GL_EXT_compiled_vertex_array".
  Using extension "GL_EXT_draw_range_elements".
  Using extension "GL_ARB_texture_mirrored_repeat".
  Using extension "GL_ARB_texture_non_power_of_two".
  Using extension "GL_ARB_vertex_buffer_object".
  Using extension "GL_ARB_pixel_buffer_object".
  Using extension "GL_SGIS_generate_mipmap".
  Using extension "GL_EXT_framebuffer_object".
  Using extension "GL_ARB_texture_rectangle".
  Using extension "GL_EXT_bgra".
  Using extension "GL_ARB_texture_cube_map".
  Using extension "GL_EXT_texture_lod_bias".
  Using extension "GL_ARB_point_sprite".
  Using extension "GL_ARB_shading_language_100".
  Using extension "GL_ARB_shader_objects".
  Using extension "GL_ARB_vertex_shader".
  Using extension "GL_ARB_fragment_shader".
  Using extension "GL_NV_vertex_program3".
  Found special extension function "wglSwapIntervalEXT".

  Compiling shader -> null-v.sdr / null-f.sdr ...
  Compiling shader -> b-v.sdr / b-f.sdr ...
  Compiling shader -> b-v.sdr / bg-f.sdr ...
  Compiling shader -> l-v.sdr / lb-f.sdr ...
  Compiling shader -> l-v.sdr / lbg-f.sdr ...
  Compiling shader -> l-v.sdr / lbgs-f.sdr ...
  Compiling shader -> l-v.sdr / lbs-f.sdr ...
  Compiling shader -> le-v.sdr / lbgse-f.sdr ...
  Compiling shader -> le-v.sdr / lbse-f.sdr ...
  Compiling shader -> ln-v.sdr / lbgn-f.sdr ...
  Compiling shader -> ln-v.sdr / lbgsn-f.sdr ...
  Compiling shader -> ln-v.sdr / lbn-f.sdr ...
  Compiling shader -> ln-v.sdr / lbsn-f.sdr ...
  Compiling shader -> lne-v.sdr / lbgsne-f.sdr ...
  Compiling shader -> lne-v.sdr / lbsne-f.sdr ...
  Compiling shader -> lf-v.sdr / lfb-f.sdr ...
  Compiling shader -> lf-v.sdr / lfbg-f.sdr ...
  Compiling shader -> lf-v.sdr / lfbgs-f.sdr ...
  Compiling shader -> lf-v.sdr / lfbs-f.sdr ...
  Compiling shader -> lfe-v.sdr / lfbgse-f.sdr ...
  Compiling shader -> lfe-v.sdr / lfbse-f.sdr ...
  Compiling shader -> lfn-v.sdr / lfbgn-f.sdr ...
  Compiling shader -> lfn-v.sdr / lfbgsn-f.sdr ...
  Compiling shader -> lfn-v.sdr / lfbn-f.sdr ...
  Compiling shader -> lfn-v.sdr / lfbsn-f.sdr ...
  Compiling shader -> lfne-v.sdr / lfbgsne-f.sdr ...
  Compiling shader -> lfne-v.sdr / lfbsne-f.sdr ...
  Compiling shader -> l-v.sdr / null-f.sdr ...
  Compiling shader -> l-v.sdr / lg-f.sdr ...
  Compiling shader -> l-v.sdr / lgs-f.sdr ...
  Compiling shader -> l-v.sdr / ls-f.sdr ...
  Compiling shader -> le-v.sdr / lgse-f.sdr ...
  Compiling shader -> le-v.sdr / lse-f.sdr ...
  Compiling shader -> ln-v.sdr / lgn-f.sdr ...
  Compiling shader -> ln-v.sdr / lgsn-f.sdr ...
  Compiling shader -> ln-v.sdr / ln-f.sdr ...
  Compiling shader -> ln-v.sdr / lsn-f.sdr ...
  Compiling shader -> lne-v.sdr / lgsne-f.sdr ...
  Compiling shader -> lne-v.sdr / lsne-f.sdr ...

  Max texture units: 4 (32)
  Max elements vertices: 1048576
  Max elements indices: 1048576
  Max texture size: 8192x8192
  Can use compressed textures: YES
  Texture compression available: YES
  Using trilinear texture filter.
  Using GLSL for model rendering.
  Shader Version: 1.20 NVIDIA via Cg compiler
... OpenGL init is complete!
Size of bitmap info = 705 KB
Size of bitmap extra info = 40 bytes
ANI cursorweb with size 24x24 (25.0% wasted)
GRAPHICS: Initializing default colors...
SCRIPTING: Beginning initialization sequence...
SCRIPTING: Beginning Lua initialization...
LUA: Opening LUA state...
LUA: Initializing base Lua libraries...
LUA: Beginning ADE initialization
ADE: Initializing enumeration constants...
ADE: Assigning Lua session...
SCRIPTING: Beginning main hook parse sequence....
SCRIPTING: Inititialization complete.
SCRIPTING: Splash screen overrides checked
SCRIPTING: Splash hook has been run
SCRIPTING: Splash screen conditional hook has been run
Using high memory settings...
Wokka! Error opening file (interface.tbl)!
WMCGUI: Unable to parse 'interface.tbl'! Error code = 5.
ANI 2_radar1 with size 209x170 (33.6% wasted)
Windoze reported 16 joysticks, we found 1
Current soundtrack set to -1 in event_music_reset_choices
Wokka! Error opening file (armor.tbl)!
TABLES: Unable to parse 'armor.tbl'! Error code = 5.
BMPMAN: Found EFF (exp20.eff) with 64 frames at 35 fps.
TBM => Starting parse of 'intruder-wep.tbm' ...
TBM => Starting parse of 'sw_warp-shp.tbm' ...
TBM => Starting parse of 'nb_ls-shp.tbm' ...
TBM => Starting parse of 'nb_ds-shp.tbm' ...
loading animated cursor "cursor"
ANI cursor with size 24x24 (25.0% wasted)
Ships.tbl is : INVALID!!!!
Weapons.tbl is : INVALID!!!!
cfile_init() took 25
Movie Error: Unable to open 'intro' movie in any supported format.
Got event GS_EVENT_GAME_INIT (49) in state NOT A VALID STATE (0)
ANI cursor.ani with size 24x24 (25.0% wasted)
Got event GS_EVENT_MAIN_MENU (0) in state GS_STATE_INITIAL_PLAYER_SELECT (37)
Wokka! Error opening file (FreeSpace2.fc2)!
Error parsing 'FreeSpace2.fc2'
Error code = 5.
WARNING!, Could not load door anim 2_Exit in main hall
WARNING!, Could not load door anim 2_Pilot in main hall
WARNING!, Could not load door anim 2_Continue in main hall
WARNING!, Could not load door anim 2_Tech in main hall
WARNING!, Could not load door anim 2_Option in main hall
WARNING!, Could not load door anim 2_Campaign in main hall
Loading model 't-interc.pof'
IBX: Found a good IBX/TSB to read for 't-interc.pof'.
IBX-DEBUG => POF checksum: 0xefd221ab, IBX checksum: 0xb18e3723 -- "t-interc.pof"
Frame 0 too long!!: frametime = 0.288 (0.288)
Got event GS_EVENT_NEW_CAMPAIGN (26) in state GS_STATE_MAIN_MENU (1)
Wokka! Error opening file (FreeSpace2.fc2)!
Error parsing 'FreeSpace2.fc2'
Error code = 5.
Got event GS_EVENT_START_GAME (1) in state GS_STATE_MAIN_MENU (1)
=================== STARTING LEVEL LOAD ==================
ANI 2_Loading.ani with size 824x43 (32.8% wasted)
Starting model page in...
Beginning level bitmap paging...
BMPMAN: Found EFF (particlesmoke01.eff) with 52 frames at 28 fps.
BMPMAN: Found EFF (particlesmoke02.eff) with 61 frames at 24 fps.
BMPMAN: Found EFF (WarpMap01.eff) with 30 frames at 25 fps.
BMPMAN: Found EFF (WarpMap02.eff) with 30 frames at 25 fps.
Loading warp model
 -1
BMPMAN: Found EFF (shieldhit01a.eff) with 23 frames at 21 fps.
MISSION LOAD: 'New Table Test SP.fs2'
Hmmm... Extension passed to mission_load...
Starting mission message count : 205
Ending mission message count : 205
Current soundtrack set to -1 in event_music_reset_choices
Loading model 'y-wing.pof'
IBX: Found a good IBX/TSB to read for 'y-wing.pof'.
IBX-DEBUG => POF checksum: 0xf93818da, IBX checksum: 0x9a749d2e -- "y-wing.pof"
Loading model 't-fighter.pof'
IBX: Found a good IBX/TSB to read for 't-fighter.pof'.
IBX-DEBUG => POF checksum: 0x263ff401, IBX checksum: 0xe0d7c6f8 -- "t-fighter.pof"
Allocating space for at least 6 new ship subsystems ... a total of 200 is now available (6 in-use).
OpenGL: Created 512x512 FBO!
ANI 2_lock1 with size 56x53 (17.2% wasted)
ANI 2_lockspin with size 100x100 (21.9% wasted)
ANI 2_lead1 with size 26x26 (18.8% wasted)
ANI 2_energy2 with size 86x96 (25.0% wasted)
ANI toggle1 with size 57x20 (37.5% wasted)
ANI weapons1 with size 126x20 (37.5% wasted)
ANI weapons1_b with size 150x20 (37.5% wasted)
ANI 2_toparc1 with size 252x60 (6.3% wasted)
ANI 2_toparc2 with size 35x24 (25.0% wasted)
ANI 2_toparc3 with size 41x29 (9.4% wasted)
ANI 2_leftarc with size 103x252 (1.6% wasted)
ANI 2_rightarc1 with size 103x252 (1.6% wasted)
ANI 2_reticle1 with size 40x24 (25.0% wasted)
ANI targhit1 with size 31x21 (34.4% wasted)
ANI energy1 with size 12x41 (35.9% wasted)
ANI targetview1 with size 137x156 (39.1% wasted)
ANI targetview2 with size 4x96 (25.0% wasted)
ANI targetview3 with size 7x20 (37.5% wasted)
ANI damage1 with size 148x25 (21.9% wasted)
ANI support1 with size 108x24 (25.0% wasted)
ANI objective1 with size 149x21 (34.4% wasted)
ANI wingman1 with size 71x53 (17.2% wasted)
ANI wingman2 with size 35x53 (17.2% wasted)
ANI wingman3 with size 14x53 (17.2% wasted)
ANI netlag1 with size 29x30 (6.3% wasted)
ANI head1 with size 164x132 (48.4% wasted)
ANI time1 with size 47x23 (28.1% wasted)
=================== STARTING LEVEL DATA LOAD ==================
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Amb_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E03.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
About to page in ships!
ANI GenericShield with size 112x93 (27.3% wasted)
Loading model 'st2.pof'
IBX: Found a good IBX/TSB to read for 'st2.pof'.
IBX-DEBUG => POF checksum: 0x8c25e5ac, IBX checksum: 0x505b4aa1 -- "st2.pof"
Loading model 'conc01.pof'
IBX: Found a good IBX/TSB to read for 'conc01.pof'.
IBX-DEBUG => POF checksum: 0xfe4701ec, IBX checksum: 0xe681a6f2 -- "conc01.pof"
Loading model 'mg7.pof'
IBX: Found a good IBX/TSB to read for 'mg7.pof'.
IBX-DEBUG => POF checksum: 0x99759ff7, IBX checksum: 0x0905094c -- "mg7.pof"
Model mg7.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
Loading model 'hm6.pof'
IBX: Found a good IBX/TSB to read for 'hm6.pof'.
IBX-DEBUG => POF checksum: 0x56a7645e, IBX checksum: 0xe8e10984 -- "hm6.pof"
Loading model 'prot01.pof'
IBX: Found a good IBX/TSB to read for 'prot01.pof'.
IBX-DEBUG => POF checksum: 0x0a939930, IBX checksum: 0xed5f7ae6 -- "prot01.pof"
Loading model 'hvyrock.pof'
IBX: Found a good IBX/TSB to read for 'hvyrock.pof'.
IBX-DEBUG => POF checksum: 0x8ff4ae28, IBX checksum: 0x3acb5c55 -- "hvyrock.pof"
Loading model 'spacebomb.pof'
IBX: Found a good IBX/TSB to read for 'spacebomb.pof'.
IBX-DEBUG => POF checksum: 0x0a797727, IBX checksum: 0x776de41a -- "spacebomb.pof"
Loading model 'cmeasure01.pof'
IBX: Found a good IBX/TSB to read for 'cmeasure01.pof'.
IBX-DEBUG => POF checksum: 0xe5f32533, IBX checksum: 0x0c6105fe -- "cmeasure01.pof"
Loading model 'debris01.pof'
IBX: Found a good IBX/TSB to read for 'debris01.pof'.
IBX-DEBUG => POF checksum: 0x974f214b, IBX checksum: 0x368eb490 -- "debris01.pof"
Loading model 'debris02.pof'
IBX: Found a good IBX/TSB to read for 'debris02.pof'.
IBX-DEBUG => POF checksum: 0x8e0eed50, IBX checksum: 0x7b2a747e -- "debris02.pof"
Paging in mission messages
Stopping model page in...
ANI 2_radar1.ani with size 209x170 (33.6% wasted)
ANI 2_lock1.ani with size 56x53 (17.2% wasted)
ANI 2_lead1.ani with size 26x26 (18.8% wasted)
ANI 2_energy2.ani with size 86x96 (25.0% wasted)
ANI toggle1.ani with size 57x20 (37.5% wasted)
ANI weapons1.ani with size 126x20 (37.5% wasted)
ANI 2_toparc1.ani with size 252x60 (6.3% wasted)
ANI 2_toparc2.ani with size 35x24 (25.0% wasted)
ANI 2_toparc3.ani with size 41x29 (9.4% wasted)
ANI 2_leftarc.ani with size 103x252 (1.6% wasted)
ANI 2_rightarc1.ani with size 103x252 (1.6% wasted)
ANI 2_reticle1.ani with size 40x24 (25.0% wasted)
ANI targhit1.ani with size 31x21 (34.4% wasted)
ANI energy1.ani with size 12x41 (35.9% wasted)
ANI targetview1.ani with size 137x156 (39.1% wasted)
ANI targetview2.ani with size 4x96 (25.0% wasted)
ANI targetview3.ani with size 7x20 (37.5% wasted)
ANI damage1.ani with size 148x25 (21.9% wasted)
ANI support1.ani with size 108x24 (25.0% wasted)
ANI objective1.ani with size 149x21 (34.4% wasted)
ANI wingman1.ani with size 71x53 (17.2% wasted)
ANI wingman2.ani with size 35x53 (17.2% wasted)
ANI wingman3.ani with size 14x53 (17.2% wasted)
ANI netlag1.ani with size 29x30 (6.3% wasted)
ANI head1.ani with size 164x132 (48.4% wasted)
ANI time1.ani with size 47x23 (28.1% wasted)
ANI GenericShield.ani with size 112x93 (27.3% wasted)
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP256x256+8'
User bitmap 'TMP256x256+8'
User bitmap 'TMP128x128+8'
Bmpman: 1116/4750 bitmap slots in use.
Ending level bitmap paging...
=================== ENDING LOAD ================
Real count = 348, Estimated count = 425
================================================
Received post for event GS_EVENT_START_BRIEFING during state transtition. Find Allender if you are unsure if this is bad.
Got event GS_EVENT_START_BRIEFING (15) in state GS_STATE_START_GAME (52)
ANI 2_BriefMap with size 918x400 (21.9% wasted)
ANI iconwing01 with size 32x28 (12.5% wasted)
Loading model 'b-wing.pof'
IBX: Found a good IBX/TSB to read for 'b-wing.pof'.
IBX-DEBUG => POF checksum: 0x502dd451, IBX checksum: 0x052eaeb2 -- "b-wing.pof"
Loading model 'x-wing.pof'
IBX: Found a good IBX/TSB to read for 'x-wing.pof'.
IBX-DEBUG => POF checksum: 0x403f0126, IBX checksum: 0x4d95f462 -- "x-wing.pof"
Loading model 'a-wing.pof'
IBX: Found a good IBX/TSB to read for 'a-wing.pof'.
IBX-DEBUG => POF checksum: 0x13e16918, IBX checksum: 0xc4664e0b -- "a-wing.pof"
Loading model 'z-95.pof'
IBX: Found a good IBX/TSB to read for 'z-95.pof'.
IBX-DEBUG => POF checksum: 0xa146fc12, IBX checksum: 0x3b61ed98 -- "z-95.pof"
Loading model 't-lnfighter.pof'
IBX: Found a good IBX/TSB to read for 't-lnfighter.pof'.
IBX-DEBUG => POF checksum: 0xc43e1622, IBX checksum: 0x0fdce518 -- "t-lnfighter.pof"
Loading model 't-interc.pof'
IBX: Found a good IBX/TSB to read for 't-interc.pof'.
IBX-DEBUG => POF checksum: 0xefd221ab, IBX checksum: 0xb18e3723 -- "t-interc.pof"
Loading model 't-interc_mk2.pof'
IBX: Found a good IBX/TSB to read for 't-interc_mk2.pof'.
IBX-DEBUG => POF checksum: 0x6b522f65, IBX checksum: 0xf6997dc1 -- "t-interc_mk2.pof"
Loading model 't-bomber.pof'
IBX: Found a good IBX/TSB to read for 't-bomber.pof'.
IBX-DEBUG => POF checksum: 0xe97379d7, IBX checksum: 0x0b135833 -- "t-bomber.pof"
Loading model 't-shuttle.pof'
IBX: Found a good IBX/TSB to read for 't-shuttle.pof'.
IBX-DEBUG => POF checksum: 0x5e73072e, IBX checksum: 0x92ca3d8f -- "t-shuttle.pof"
Loading model 't-defender.pof'
IBX: Found a good IBX/TSB to read for 't-defender.pof'.
IBX-DEBUG => POF checksum: 0x0dddece0, IBX checksum: 0x2c17acfc -- "t-defender.pof"
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Loading model 'st2_tech.pof'
IBX: Found a good IBX/TSB to read for 'st2_tech.pof'.
IBX-DEBUG => POF checksum: 0xc935da61, IBX checksum: 0xe408be79 -- "st2_tech.pof"
Loading model 'mg7_tech.pof'
IBX: Found a good IBX/TSB to read for 'mg7_tech.pof'.
IBX-DEBUG => POF checksum: 0x4ac983ee, IBX checksum: 0x1d909c98 -- "mg7_tech.pof"
Loading model 'hm6_tech.pof'
IBX: Found a good IBX/TSB to read for 'hm6_tech.pof'.
IBX-DEBUG => POF checksum: 0xe2658f08, IBX checksum: 0x6de46e45 -- "hm6_tech.pof"
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
ANI PromR.ani with size 202x185 (27.7% wasted)
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_Flail2.ani, using lowres version instead.
Weapon ANI: Can not find 2_Flail2.ani, using lowres version instead.
Weapon ANI: Can not find 2_Scalpel.ani, using lowres version instead.
ANI Scalpel.ani with size 202x185 (27.7% wasted)
Frame 0 too long!!: frametime = 7.460 (7.460)
Got event GS_EVENT_SHIP_SELECTION (13) in state GS_STATE_BRIEFING (10)
ANI iconwing01.ani with size 32x28 (12.5% wasted)
Got event GS_EVENT_ENTER_GAME (2) in state GS_STATE_SHIP_SELECT (11)
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Amb_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E03.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Amb_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E03.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
Entering game at time = 20.598
Got event GS_EVENT_END_GAME (4) in state GS_STATE_GAME_PLAY (2)
Unloading in mission messages
WARNING!, Could not load door anim 2_Exit in main hall
WARNING!, Could not load door anim 2_Pilot in main hall
WARNING!, Could not load door anim 2_Continue in main hall
WARNING!, Could not load door anim 2_Tech in main hall
WARNING!, Could not load door anim 2_Option in main hall
WARNING!, Could not load door anim 2_Campaign in main hall
Got event GS_EVENT_NEW_CAMPAIGN (26) in state GS_STATE_MAIN_MENU (1)
Wokka! Error opening file (FreeSpace2.fc2)!
Error parsing 'FreeSpace2.fc2'
Error code = 5.
Got event GS_EVENT_START_GAME (1) in state GS_STATE_MAIN_MENU (1)
=================== STARTING LEVEL LOAD ==================
ANI 2_Loading.ani with size 824x43 (32.8% wasted)
Starting model page in...
Beginning level bitmap paging...
Loading warp model
 -1
MISSION LOAD: 'New Table Test SP.fs2'
Hmmm... Extension passed to mission_load...
Starting mission message count : 205
Ending mission message count : 205
Current soundtrack set to -1 in event_music_reset_choices
Allocating space for at least 6 new ship subsystems ... a total of 200 is now available (6 in-use).
OpenGL: Reusing 512x512 FBO!
=================== STARTING LEVEL DATA LOAD ==================
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Amb_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_AArv_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Arv_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Btl_E03.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A01.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Vict_A02.wav
AUDIOSTR => ErrorExit for ::Create() on wave file: FS2_Dth_A01.wav
About to page in ships!
Paging in mission messages
Stopping model page in...
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP824x43+16'
User bitmap 'TMP256x256+8'
User bitmap 'TMP256x256+8'
User bitmap 'TMP128x128+8'
Bmpman: 1188/4750 bitmap slots in use.
Ending level bitmap paging...
=================== ENDING LOAD ================
Real count = 336, Estimated count = 425
================================================
Received post for event GS_EVENT_START_BRIEFING during state transtition. Find Allender if you are unsure if this is bad.
Got event GS_EVENT_START_BRIEFING (15) in state GS_STATE_START_GAME (52)
ANI iconwing01 with size 32x28 (12.5% wasted)
Loading model 'b-wing.pof'
IBX: Found a good IBX/TSB to read for 'b-wing.pof'.
IBX-DEBUG => POF checksum: 0x502dd451, IBX checksum: 0x052eaeb2 -- "b-wing.pof"
Loading model 'x-wing.pof'
IBX: Found a good IBX/TSB to read for 'x-wing.pof'.
IBX-DEBUG => POF checksum: 0x403f0126, IBX checksum: 0x4d95f462 -- "x-wing.pof"
Loading model 'a-wing.pof'
IBX: Found a good IBX/TSB to read for 'a-wing.pof'.
IBX-DEBUG => POF checksum: 0x13e16918, IBX checksum: 0xc4664e0b -- "a-wing.pof"
Loading model 'z-95.pof'
IBX: Found a good IBX/TSB to read for 'z-95.pof'.
IBX-DEBUG => POF checksum: 0xa146fc12, IBX checksum: 0x3b61ed98 -- "z-95.pof"
Loading model 't-lnfighter.pof'
IBX: Found a good IBX/TSB to read for 't-lnfighter.pof'.
IBX-DEBUG => POF checksum: 0xc43e1622, IBX checksum: 0x0fdce518 -- "t-lnfighter.pof"
Loading model 't-interc.pof'
IBX: Found a good IBX/TSB to read for 't-interc.pof'.
IBX-DEBUG => POF checksum: 0xefd221ab, IBX checksum: 0xb18e3723 -- "t-interc.pof"
Loading model 't-interc_mk2.pof'
IBX: Found a good IBX/TSB to read for 't-interc_mk2.pof'.
IBX-DEBUG => POF checksum: 0x6b522f65, IBX checksum: 0xf6997dc1 -- "t-interc_mk2.pof"
Loading model 't-bomber.pof'
IBX: Found a good IBX/TSB to read for 't-bomber.pof'.
IBX-DEBUG => POF checksum: 0xe97379d7, IBX checksum: 0x0b135833 -- "t-bomber.pof"
Loading model 't-shuttle.pof'
IBX: Found a good IBX/TSB to read for 't-shuttle.pof'.
IBX-DEBUG => POF checksum: 0x5e73072e, IBX checksum: 0x92ca3d8f -- "t-shuttle.pof"
Loading model 't-defender.pof'
IBX: Found a good IBX/TSB to read for 't-defender.pof'.
IBX-DEBUG => POF checksum: 0x0dddece0, IBX checksum: 0x2c17acfc -- "t-defender.pof"
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Ship ANI: Can not find , using lowres version instead.
Loading model 'st2_tech.pof'
IBX: Found a good IBX/TSB to read for 'st2_tech.pof'.
IBX-DEBUG => POF checksum: 0xc935da61, IBX checksum: 0xe408be79 -- "st2_tech.pof"
Loading model 'mg7_tech.pof'
IBX: Found a good IBX/TSB to read for 'mg7_tech.pof'.
IBX-DEBUG => POF checksum: 0x4ac983ee, IBX checksum: 0x1d909c98 -- "mg7_tech.pof"
Loading model 'hm6_tech.pof'
IBX: Found a good IBX/TSB to read for 'hm6_tech.pof'.
IBX-DEBUG => POF checksum: 0xe2658f08, IBX checksum: 0x6de46e45 -- "hm6_tech.pof"
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
ANI PromR.ani with size 202x185 (27.7% wasted)
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_PromR.ani, using lowres version instead.
Weapon ANI: Can not find 2_Flail2.ani, using lowres version instead.
Weapon ANI: Can not find 2_Flail2.ani, using lowres version instead.
Weapon ANI: Can not find 2_Scalpel.ani, using lowres version instead.
ANI Scalpel.ani with size 202x185 (27.7% wasted)
Frame 0 too long!!: frametime = 2.862 (2.862)
Got event GS_EVENT_SHIP_SELECTION (13) in state GS_STATE_BRIEFING (10)
ANI iconwing01.ani with size 32x28 (12.5% wasted)
ASSERTION: bm_bitmaps[n].handle == bitmap_id
File: bmpman.cpp
Line: 3124
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009dfc99()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009e0225()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d6794()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d60d2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007640ea()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009670e7()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0096118a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0095f217()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0095f0af()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00944863()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00a22534()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00735577()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00939a81()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00736b18()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00736dae()
Freeing all existing models...
ASSERTION: G3_count == 0
File: 3dsetup.cpp
Line: 263
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b18c06()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0075aec3()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b0bf44()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 0075d1b5()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00b0cc1a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007590d4()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00c74f6a()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 00c74c02()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007a16c8()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009217a2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009dfc99()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009e0225()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d6794()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 009d60d2()
    fs2_open_3_6_10d-20080810_CHIEF_4749.exe 007640ea()
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009571

phreak (developer)

I think the problem is that loading a new level clears the stored environment map, but the ENVMAP variable is not cleared as well.

~0009576

taylor (administrator)

ENVMAP is supposed to be reset actually. It may just be a broken commit though, so I'll go back and check on that now and fix it if that's the case.

~0009577

taylor (administrator)

Ok, see if that last commit fixed it.

~0009578

chief1983 (administrator)

Seems to have fixed it, another bug down.
+Notes

-Issue History
Date Modified Username Field Change
2008-08-12 20:26 chief1983 New Issue
2008-08-17 23:36 phreak Note Added: 0009571
2008-08-18 01:45 taylor Note Added: 0009576
2008-08-18 01:55 taylor Note Added: 0009577
2008-08-18 09:57 chief1983 Note Added: 0009578
2008-08-18 11:35 taylor Status new => resolved
2008-08-18 11:35 taylor Fixed in Version => 3.6.10
2008-08-18 11:35 taylor Resolution open => fixed
2008-08-18 11:35 taylor Assigned To => taylor
+Issue History